# Class pyglet.image.SolidColorImagePattern

    ImagePattern --+
                   |
                  SolidColorImagePattern

Creates an image filled with a solid color.

## Methods

| __init__(self, color=`(`0`,` 0`,` 0`,` 0`)`) Create a solid image pattern with the given color.
AbstractImage | create_image(self, width, height) Create an image of the given size.

## Method Details

### __init__

(Constructor) __init__(self, color=`(`0`,` 0`,` 0`,` 0`)`)
Create a solid image pattern with the given color.

Parameters:
  color : (int, int, int, int)
    4-tuple of ints in range [0,255] giving RGBA components of color to fill with.

### create_image

create_image(self, width, height)
Create an image of the given size.

Returns: AbstractImage
Overrides:
  ImagePattern.create_image